xshisen(6)

NAME
xshisen - Shisen-sho puzzle game for X11

SYNOPSIS
xshisen [ options ]

DESCRIPTION
xshisen is a puzzle game for X11. Similar to the famous "Shang-hai". The objective of the game is to remove all the pieces from the board. Two pieces may be removed when they share an identical picture and can be connected by at most three vertical or horizintal line segments not crossing any other tile. xshisen requires a pointing device like mouse. It cannot be controlled with only keyboard.

RULES
The game will be over when you remove all the pieces on the board. The pieces can be removed only when both of the following conditions are true.

(1) The 2 pieces have the same picture

(2) The 2 pieces can be connected with up to 3 lines which do not go over other pieces.

It may seem difficult rule, but is easier than describing in
    words. "Auto-demo" mode must be very useful for you to understand the rule.

  Score
The best scores will be recorded at xshisen-scores file under the directory specified by XSHISENLIB environment variable. X resources "libDirectory" will be valid if the environment variable is not set. Note that the score will not be recorded if you use even one of "Back", "Search", or "Restart".

OPTIONS
The following command line options are available.

standard Xt options
    xshisen accepts standard toolkit options like -display, or -iconic.

-demo
    Auto-demo mode. You cannot play game with this mode, but the game will proceed by computer automated algorithm. This mode is quite useful for you to understand rules.

-score
    Just displays the best score dialog and exits.

-mag number
    Magnify main window by number times. The standard window will be 640x400. Number may be a decimal, but the range is limited from 0.5 to the display size.

-fn fontlist
    Use fontlist for menubar and times.

-large
    Play double sized game. Game size can be changed with menubar after you started xshisen. Each game size has independent best time records.

-huge
    Play quadruple sized game. Game size can be changed with menubar after you started xshisen. Each game size has independent best time records.

-trial
    Play as "Click Trial" mode. You can measure your mouse operation speed with this feature.

-gravity
    Enable gravity effect. All the pieces above the removed pieces will fall down.

RESOURCE
The following resources are available.

XShisen*fitPixmap
    If this value is True, the initial window size will be automatically calculated with the pixmap data size. When this value is False, the initial window size is determined by the width and height resources. The pixmap data will be resized in this case. Default value is True.

XShisen*width
    Width of the initial window. This resource is ignored when fitPixmap resource is set to True. Default value is 640.

XShisen*height
    Height of the initial window. This resource is ignored when fitPixmap resource is set to True. Default value is 400.

XShisen*scoreFile
    This resource specifies the score file name. This file name must not contain the directory name. Default value is "xshisen-scores".

XShisen*connectLineTime
    The delay time in mili-seconds between when you clicked the pair and the pair is actually removed from screen. This value should be big enough for beginners, but experts may want this value smaller in order to play quickly. Default value is 1000 mili-seconds.

XShisen*connectLineColor
    This specifies the connection line color which appears when pieces are being removed. Default value is "blue".

XShisen*connectLineWidth
    This specifies the connection line width in pixel. Default value is 6.

XShisen*background
    Background color. Default value is #004000.

XShisen*libraryDirectory
    The directory where the pixmap data and the best score file is located. This resource is ignored when you specify the XSHISENLIB environment variable.

XShisen*drawing.translations
    Button binding setting for your mouse. Default is

          <Btn1Down>: #replace PickupPiece() \n <Btn3Down>: CancelPiece()

MENU BAR AND KEYBOARD

Start (Control + D)
    Starts new game. The pieces are located at random position.

Restart (Control + R)
    Restarts the current game. The time of restarted game will not be recorded as the best score.

Pause (Control + P)
    Pauses the game. The time count will be stopped, but also the pieces picture will be hidden. You can resume your game to do "Pause" again.

Exit
    Exits the Shisen-sho.

Search (F1)
    Teaches the pair you can remove now. You can use "Search" anytime, but the time will not be recorded as the best score if you use "Search" even once.

Back (F5)
    Backs one step. The time will not be recorded if you use "Back".

MOUSE CONTROL
The following mouse control is available. You can change mouse button bindings with XShisen*drawing.translations resource.

Button 1
    Specifies the piece to remove. You can cancel the selection when you click the selected piece again.

Button 3
    Cancels the selected piece. You can use button 3 after "Search", which cancels the search result.

AUTHORS
Shisen-sho for X11: Masaoki Kobayashi

Picture: Takayuki Akiyama

COPYRIGHT
XShisen Copyright 1995,1996,1999,2002 by Masaoki Kobayashi <masaoki@techfirm.co.jp>. Picture#1 Copyright by Takayuki Akiyama <taco3@ybb.ne.jp>. Picture#2 Copyright by Mario Weilguni <mweilguni@sime.com>. See LICENSE file for detail.